► |  | Sprachebenen und Material zu Schreibe Dein Programm!

1 | Schreibe Dein Programm! - Anfänger
2 | Schreibe Dein Programm!
3 | Schreibe Dein Programm! - fortgeschritten
4 | Konstruktionsanleitungen
5 | sdp: Sprachen als Libraries
| Index

▼ | 1 | Schreibe Dein Programm! - Anfänger

1.1 | Definitionen
1.2 | Record-Typ-Definitionen
1.3 | Record-Typ-Definitionen mit Signatur-Parametern
1.4 | Record-Typ-Definition, alte Form
1.5 | Funktionsapplikation
1.6 | #t and #f
1.7 | lambda / λ
1.8 | Bezeichner
1.9 | cond
1.10 | if
1.11 | and
1.12 | or
1.13 | Signaturen
1.14 | Testfälle
1.15 | Pattern-Matching
1.16 | Eigenschaften
1.17 | Primitive Operationen

On this page:

cond
else

top ← prev up next →

#### 1.9`` cond

> > syntax

> > (cond (expr expr) ... (expr expr))

Ein cond-Ausdruck bildet eine Verzweigung, die aus mehreren Zweigen besteht. Jeder Zweig besteht aus einem Test und einem Ausdruck. Bei der Auswertung werden die Zweige nacheinander abgearbeitet. Dabei wird jeweils zunächst der Test ausgewertet, der jeweils einen booleschen Wert ergeben müssen. Beim ersten Test, der #t ergibt, wird der Wert des Ausdrucks des Zweigs zum Wert der gesamten Verzweigung. Wenn kein Test #t ergibt, wird das Programm mit einer Fehlermeldung abgebrochen.

> > syntax

> > (cond (expr expr) ... (else expr))

Die Form des cond-Ausdrucks ist ähnlich zur vorigen, mit der Ausnahme, dass in dem Fall, in dem kein Test #t ergibt, der Wert des letzten Ausdruck zum Wert der cond-Form wird.

> > syntax

> > else

Das Schlüsselwort else kann nur in cond benutzt werden.
top ← prev up next →